Loading...
Searching...
No Matches
ClpPEDualRowDantzig Class Reference

`#include <ClpPEDualRowDantzig.hpp>`

Inheritance diagram for ClpPEDualRowDantzig:
[legend]
Collaboration diagram for ClpPEDualRowDantzig:
[legend]

## Public Member Functions

| ClpPEDualRowDantzig (double psi=0.5)
| Default Constructor.
| ClpPEDualRowDantzig (const ClpPEDualRowDantzig &)
| Copy constructor.
ClpPEDualRowDantzig & | operator= (const ClpPEDualRowDantzig &rhs)
| Assignment operator.
virtual | ~ClpPEDualRowDantzig ()
| Destructor.
virtual ClpDualRowPivot * | clone (bool copyData=true) const
| Clone.
Public Member Functions inherited from ClpDualRowDantzig
virtual void | updatePrimalSolution (CoinIndexedVector *input, double theta, double &changeInObjective)
| Updates primal solution (and maybe list of candidates) Uses input vector which it deletes Computes change in objective function.
| ClpDualRowDantzig ()
| Default Constructor.
| ClpDualRowDantzig (const ClpDualRowDantzig &)
| Copy constructor.
ClpDualRowDantzig & | operator= (const ClpDualRowDantzig &rhs)
| Assignment operator.
virtual | ~ClpDualRowDantzig ()
| Destructor.
Public Member Functions inherited from ClpDualRowPivot
virtual void | checkAccuracy ()
| checks accuracy and may re-initialize (may be empty)
virtual void | unrollWeights ()
| Gets rid of last update (may be empty).
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty).
virtual bool | looksOptimal () const
| Returns true if would not find any row.
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes.
| ClpDualRowPivot ()
| Default Constructor.
| ClpDualRowPivot (const ClpDualRowPivot &)
| Copy constructor.
ClpDualRowPivot & | operator= (const ClpDualRowPivot &rhs)
| Assignment operator.
virtual | ~ClpDualRowPivot ()
| Destructor.
ClpSimplex * | model ()
| Returns model.
void | setModel (ClpSimplex *newmodel)
| Sets model (normally to NULL).
int | type ()
| Returns type (above 63 is extra information).

## Algorithmic methods

ClpPESimplex * | modelPE_
double | psi_
int | iCurrent_
int | iInterval_
bool | updateCompatibles_
int | coDegenCompatibles_
int | coConsecutiveCompatibles_
virtual int | pivotRow ()
| Returns pivot row, -1 if none.
virtual double | updateWeights (CoinIndexedVector *input, CoinIndexedVector *spare, CoinIndexedVector *spare2, CoinIndexedVector *updatedColumn)
| Update the compatible variables and call the base class method to update weights.
virtual void | saveWeights (ClpSimplex *model, int mode)
| Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex.

## Additional Inherited Members

Protected Attributes inherited from ClpDualRowPivot
ClpSimplex * | model_
| Pointer to model.
int | type_
| Type of row pivot algorithm.

## Detailed Description

Definition at line 25 of file ClpPEDualRowDantzig.hpp.

## Constructor & Destructor Documentation

## ClpPEDualRowDantzig() [1/2]

ClpPEDualRowDantzig::ClpPEDualRowDantzig | ( | double | psi = 0.5 | ) |

Default Constructor.

## ClpPEDualRowDantzig() [2/2]

ClpPEDualRowDantzig::ClpPEDualRowDantzig | ( | const ClpPEDualRowDantzig & |  | ) |

Copy constructor.

## ~ClpPEDualRowDantzig()

virtual ClpPEDualRowDantzig::~ClpPEDualRowDantzig | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## operator=()

ClpPEDualRowDantzig & ClpPEDualRowDantzig::operator= | ( | const ClpPEDualRowDantzig & | rhs | ) |

Assignment operator.

## clone()

virtual ClpDualRowPivot * ClpPEDualRowDantzig::clone | ( | bool | copyData = true | ) | const

virtual

Clone.

Reimplemented from ClpDualRowDantzig.

## pivotRow()

virtual int ClpPEDualRowDantzig::pivotRow | ( |  | ) |

virtual

Returns pivot row, -1 if none.

Reimplemented from ClpDualRowDantzig.

## updateWeights()

virtual double ClpPEDualRowDantzig::updateWeights | ( | CoinIndexedVector * | input,
|  | CoinIndexedVector * | spare,
|  | CoinIndexedVector * | spare2,
|  | CoinIndexedVector * | updatedColumn )

virtual

Update the compatible variables and call the base class method to update weights.

Reimplemented from ClpDualRowDantzig.

## saveWeights()

virtual void ClpPEDualRowDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int | mode )

virtual

Save weights - this may initialize weights as well This is as parent but may initialize ClpPESimplex.

Reimplemented from ClpDualRowPivot.

## Member Data Documentation

## modelPE_

ClpPESimplex* ClpPEDualRowDantzig::modelPE_

private

Definition at line 67 of file ClpPEDualRowDantzig.hpp.

## psi_

double ClpPEDualRowDantzig::psi_

private

Definition at line 71 of file ClpPEDualRowDantzig.hpp.

## iCurrent_

int ClpPEDualRowDantzig::iCurrent_

private

Definition at line 74 of file ClpPEDualRowDantzig.hpp.

## iInterval_

int ClpPEDualRowDantzig::iInterval_

private

Definition at line 75 of file ClpPEDualRowDantzig.hpp.

## updateCompatibles_

bool ClpPEDualRowDantzig::updateCompatibles_

private

Definition at line 78 of file ClpPEDualRowDantzig.hpp.

## coDegenCompatibles_

int ClpPEDualRowDantzig::coDegenCompatibles_

private

Definition at line 79 of file ClpPEDualRowDantzig.hpp.

## coConsecutiveCompatibles_

int ClpPEDualRowDantzig::coConsecutiveCompatibles_

private

Definition at line 79 of file ClpPEDualRowDantzig.hpp.

The documentation for this class was generated from the following file:

- Clp/src/ClpPEDualRowDantzig.hpp